Loading...
Searching...
No Matches
QGpgME::ChangeExpiryJob Class Referenceabstract

An abstract base class to change expiry asynchronously. More...

`#include <changeexpiryjob.h>`

Inheritance diagram for QGpgME::ChangeExpiryJob:
[legend]
Collaboration diagram for QGpgME::ChangeExpiryJob:
[legend]

## Public Types

enum | Option { Default = 0x00 , UpdatePrimaryKey = 0x01 , UpdateAllSubkeys = 0x02 }

## Signals

void | result (const GpgME::Error &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

void | setOptions (Options options)
Options | options () const
virtual GpgME::Error | start (const GpgME::Key &key, const QDateTime &expiry)=0
virtual GpgME::Error | start (const GpgME::Key &key, const QDateTime &expiry, const std::vector< GpgME::Subkey > &subkeys)
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| ChangeExpiryJob (std::unique_ptr< ChangeExpiryJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class to change expiry asynchronously.

To use a ChangeExpiryJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the job with a call to start(). This call might fail, in which case the ChangeExpiryJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the ChangeExpiryJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start() [1/2]

virtual GpgME::Error QGpgME::ChangeExpiryJob::start | ( | const GpgME::Key & | key,
|  | const QDateTime & | expiry )

pure virtual

Starts the change-expiry operation. key is the key to change the expiry of. expiry is the new expiry time. If expiry is not valid, key is set to never expire.

Implemented in QGpgME::QGpgMEChangeExpiryJob.

## start() [2/2]

virtual GpgME::Error QGpgME::ChangeExpiryJob::start | ( | const GpgME::Key & | key,
|  | const QDateTime & | expiry,
|  | const std::vector< GpgME::Subkey > & | subkeys )

virtual

Starts the change-expiry operation. key is the key to change, subkeys is a list of subkeys of the key, and expiry is the new expiry time. If subkeys is empty, then the expiry of key is changed. Otherwise, the expiry of subkeys is changed. If expiry is not valid, then key or subkeys are set to never expire.

Reimplemented in QGpgME::QGpgMEChangeExpiryJob.

The documentation for this class was generated from the following files:

- changeexpiryjob.h
- changeexpiryjob.cpp